Skip to content
Snippets Groups Projects
Commit 62777ce9 authored by Martin Schupfner's avatar Martin Schupfner
Browse files

cmor_tables: Idec - altered dimensions , grids: added deflate option

parent 58c126aa
No related branches found
No related tags found
No related merge requests found
......@@ -379,7 +379,7 @@ function run_agg
cp -v $rawsdir_pism_ant/pism_-$(printf "%06d" ${inv_chunk_year})/pism_-$(printf "%06d" ${inv_chunk_year}).nc $sdir/pism_ant_${period}.nc
ncatted -O -h -a scale_factor_at_projection_origin,mapping,o,d,1.0 $sdir/pism_ant_${period}.nc || { echo "ERROR ncatted $sdir/pism_ant_${period}.nc" ; exit 1 ; }
cp -v $rawsdir_pism_nh/pism_-$(printf "%06d" ${inv_chunk_year})/pism_-$(printf "%06d" ${inv_chunk_year}).nc $sdir/pism_nh_${period}.nc
ncatted -O -h -a ellipsoid,mapping,o,c,WGS84 -a grid_mapping_name,mapping,o,c,polar_stereographic -a false_easting,mapping,o,d,0. -a false_northing,mapping,o,d,0. -a latitude_of_projection_origin,mapping,o,d,90. -a standard_parallel,mapping,o,d,70. -a straight_vertical_longitude_from_pole,mapping,o,d,-45. -a scale_factor_at_projection_origin,mapping,o,d,1.0 $sdir/pism_nh_${period}.nc || { echo "ERROR ncatted $sdir/pism_nh_${period}.nc" ; exit 1 ; }
ncatted -O -h -a ellipsoid,mapping,o,c,WGS84 -a grid_mapping_name,mapping,o,c,polar_stereographic -a false_easting,mapping,o,d,0. -a false_northing,mapping,o,d,0. -a latitude_of_projection_origin,mapping,o,d,90. -a standard_parallel,mapping,o,d,70. -a straight_vertical_longitude_from_pole,mapping,o,d,-45. -a scale_factor_at_projection_origin,mapping,o,d,1.0 $sdir/pism_nh_${period}.nc || { echo "ERROR ncatted $sdir/pism_nh_${period}.nc" ; exit 1 ; }
else
ln -sf $rawsdir/*_${period}* $sdir/ 2>/dev/null 1>&2 || { echo "ERROR creating links for $period ${RAW_EXP_IDS[$y]} $submodel" && exit 1 ; }
fi
......
......@@ -22,7 +22,7 @@
"cell_measures": "area: areacellg",
"long_name": "Ice Sheet Surface Altitude",
"comment": "The surface called 'surface' means the lower boundary of the atmosphere. Altitude is the (geometric) height above the geoid, which is the reference geopotential surface. The geoid is similar to mean sea level.",
"dimensions": "xant yant time",
"dimensions": "longitude latitude time",
"out_name": "orogIs",
"type": "real",
"positive": "",
......@@ -40,7 +40,7 @@
"cell_measures": "area: areacellg",
"long_name": "Ice Sheet Surface Temperature",
"comment": "Temperature of the lower boundary of the atmosphere",
"dimensions": "xant yant time",
"dimensions": "longitude latitude time",
"out_name": "tsIs",
"type": "real",
"positive": "",
......@@ -58,7 +58,7 @@
"cell_measures": "area: areacellg",
"long_name": "Ice Sheet Surface Mass Balance Flux",
"comment": "Specific mass balance means the net rate at which ice is added per unit area at the land ice surface. Computed as the total surface mass balance on the land ice portion of the grid cell divided by land ice area in the grid cell. A negative value means loss of ice",
"dimensions": "xant yant time",
"dimensions": "longitude latitude time",
"out_name": "acabfIs",
"type": "real",
"positive": "",
......@@ -76,7 +76,7 @@
"cell_measures": "area: areacellg",
"long_name": "Basal Specific Mass Balance Flux of Floating Ice Shelf",
"comment": "Specific mass balance means the net rate at which ice is added per unit area at the land ice base. A negative value means loss of ice. Computed as the total basal mass balance on the floating land ice (floating ice shelf) portion of the grid cell divided by floating land ice (floating ice shelf) area in the grid cell. Cell_methods: area: mean where floating_ice_shelf",
"dimensions": "xant yant time",
"dimensions": "longitude latitude time",
"out_name": "libmassbffl",
"type": "real",
"positive": "",
......@@ -94,7 +94,7 @@
"cell_measures": "area: areacellg",
"long_name": "Temperature of Land Ice",
"comment": "Land ice means glaciers, ice-caps and ice-sheets resting on bedrock and also includes ice-shelves.",
"dimensions": "xant yant isdepth time",
"dimensions": "longitude latitude isdepth time",
"out_name": "tlIs",
"type": "real",
"positive": "",
......@@ -112,7 +112,7 @@
"cell_measures": "area: areacellg",
"long_name": "Type of Land Ice",
"comment": "Mask of land ice type (ice sheet, ice shelf, ocean, ice-free land).",
"dimensions": "xant yant typelice time",
"dimensions": "longitude latitude typelice time",
"out_name": "sftgifIt",
"type": "real",
"positive": "",
......@@ -130,7 +130,7 @@
"cell_measures": "area: areacella",
"long_name": "Bedrock Altitude",
"comment": "Altitude is the (geometric) height above the geoid, which is the reference geopotential surface. The geoid is similar to mean sea level. Bedrock is the solid Earth surface beneath land ice, ocean water or soil.",
"dimensions": "xant yant time",
"dimensions": "longitude latitude time",
"out_name": "dtb",
"type": "real",
"positive": "",
......
......@@ -22,7 +22,7 @@
"cell_measures": "area: areacellg",
"long_name": "Ice Sheet Surface Altitude",
"comment": "The surface called 'surface' means the lower boundary of the atmosphere. Altitude is the (geometric) height above the geoid, which is the reference geopotential surface. The geoid is similar to mean sea level.",
"dimensions": "xgre ygre time",
"dimensions": "longitude latitude time",
"out_name": "orogIs",
"type": "real",
"positive": "",
......@@ -40,7 +40,7 @@
"cell_measures": "area: areacellg",
"long_name": "Ice Sheet Surface Temperature",
"comment": "Temperature of the lower boundary of the atmosphere",
"dimensions": "xgre ygre time",
"dimensions": "longitude latitude time",
"out_name": "tsIs",
"type": "real",
"positive": "",
......@@ -58,7 +58,7 @@
"cell_measures": "area: areacellg",
"long_name": "Ice Sheet Surface Mass Balance Flux",
"comment": "Specific mass balance means the net rate at which ice is added per unit area at the land ice surface. Computed as the total surface mass balance on the land ice portion of the grid cell divided by land ice area in the grid cell. A negative value means loss of ice",
"dimensions": "xgre ygre time",
"dimensions": "longitude latitude time",
"out_name": "acabfIs",
"type": "real",
"positive": "",
......@@ -76,7 +76,7 @@
"cell_measures": "area: areacellg",
"long_name": "Basal Specific Mass Balance Flux of Floating Ice Shelf",
"comment": "Specific mass balance means the net rate at which ice is added per unit area at the land ice base. A negative value means loss of ice. Computed as the total basal mass balance on the floating land ice (floating ice shelf) portion of the grid cell divided by floating land ice (floating ice shelf) area in the grid cell. Cell_methods: area: mean where floating_ice_shelf",
"dimensions": "xgre ygre time",
"dimensions": "longitude latitude time",
"out_name": "libmassbffl",
"type": "real",
"positive": "",
......@@ -94,7 +94,7 @@
"cell_measures": "area: areacellg",
"long_name": "Temperature of Land Ice",
"comment": "Land ice means glaciers, ice-caps and ice-sheets resting on bedrock and also includes ice-shelves.",
"dimensions": "xgre ygre isdepth time",
"dimensions": "longitude latitude isdepth time",
"out_name": "tlIs",
"type": "real",
"positive": "",
......@@ -112,7 +112,7 @@
"cell_measures": "area: areacellg",
"long_name": "Type of Land Ice",
"comment": "Mask of land ice type (ice sheet, ice shelf, ocean, ice-free land).",
"dimensions": "xgre ygre typelice time",
"dimensions": "longitude latitude typelice time",
"out_name": "sftgifIt",
"type": "real",
"positive": "",
......@@ -130,7 +130,7 @@
"cell_measures": "area: areacella",
"long_name": "Bedrock Altitude",
"comment": "Altitude is the (geometric) height above the geoid, which is the reference geopotential surface. The geoid is similar to mean sea level. Bedrock is the solid Earth surface beneath land ice, ocean water or soil.",
"dimensions": "xgre ygre time",
"dimensions": "longitude latitude time",
"out_name": "dtb",
"type": "real",
"positive": "",
......
......@@ -122,7 +122,10 @@
"out_name": "latitude",
"valid_min": "-90.0",
"valid_max": "90.0",
"type": "double"
"type": "double",
"deflate": "1",
"deflate_level": "1",
"shuffle": "1"
},
"longitude": {
"standard_name": "longitude",
......@@ -132,7 +135,10 @@
"out_name": "longitude",
"valid_min": "0.0",
"valid_max": "360.0",
"type": "double"
"type": "double",
"deflate": "1",
"deflate_level": "1",
"shuffle": "1"
},
"vertices_latitude": {
"standard_name": "",
......@@ -142,7 +148,10 @@
"out_name": "vertices_latitude",
"valid_min": "-90.0",
"valid_max": "90.0",
"type": "double"
"type": "double",
"deflate": "1",
"deflate_level": "1",
"shuffle": "1"
},
"vertices_longitude": {
"standard_name": "",
......@@ -152,7 +161,10 @@
"out_name": "vertices_longitude",
"valid_min": "0.0",
"valid_max": "360.0",
"type": "double"
"type": "double",
"deflate": "1",
"deflate_level": "1",
"shuffle": "1"
}
}
}
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment